Subject: Re: patch for mktree.c on cross compiles

From: Mark Hatle <[email-masked]>
Date: Thu, 06 Sep 2001 17:02:20 -0500

andrew may wrote:
>
> > Yes, it's an imperfect solution at best.  What would be correct is for us
> > to copy all of the needed magic into our own header and toss it in
> > arch/ppc/boot/include.  With some proper magic for the !Linux case too.
>
> I am not sure why we would need to do this. mktree.c already includes
> libc headers and the htonl defination is pulled in with them.
>
> This does increase our build requirments to have a working libc env
> on the host.
>
> To be completely correct not only will you need to have the byte order
> magic in arch/ppc/boot/include, but also all the file access magic as
> well, since mktree reads in a file, adds a header and then writes out
> another file.

I have a concern that using any glibc (specific) stuff will break cross
compiling from say a solaris system to linux.  I thing Andrew is right,
the correct solution is probably to copy the bits into the boot/include
dir.

--Mark

** Sent via the linuxppc-embedded mail list. See http://lists.linuxppc.org/